/*
 * @Description: Main Function file
 * @Author:      mike+hu<mikeshin@126.com>
 * @Update:      mike+hu(2011-08-15 12:22)
 */

$(document).ready(function() {
	
	//////首页slide宽度autosize
	$wide = $(window).width();
	$('#slides').css("width", $wide);
	$('.slides_container').css("width", $wide);
	$('.slide').css("width", $wide);
	$('.caption').css("width", $wide);
	$('.caption').css({opacity:0.3});
	
	//////导航slider
	$( "#slider" ).silder({
	speed : "normal",
	slideBy : 1
	});
	
	//////禁止右键和选择文本
//	$('body').bind('contextmenu', function() {
//      return false;
//    }); 
//	$('body').bind('selectstart', function() {
//      return false;
//    }); 
						   
	//////全局导航弹出			   
	$(".nav li").hover(function(){
			$(this).children("div.sub_con").fadeIn();
			$(this).children("a.toplink").addClass("ahover");
			}, function() {
			$(this).children("div.sub_con").fadeOut();
			$(this).children("a.toplink").removeClass("ahover");
	});
	
	//////全局导航高亮
    var url = document.URL;//取得当前页的URL
    
    if(/solu/.test(url.toLowerCase()))  //正则查找在url地址中是否有当前页
    {
        $("#nav_02 > a").addClass("on");
		$(".inside_banner").addClass("sub_img02");
    }else if(/product/.test(url.toLowerCase()))
    {
        $("#nav_03 > a").addClass("on");
		$(".inside_banner").addClass("sub_img03");
    }else if(/service/.test(url.toLowerCase()))
    {
        $("#nav_04 > a").addClass("on");
		$(".inside_banner").addClass("sub_img04");
    }else if(/human/.test(url.toLowerCase()))
    {
        $("#nav_04_01 > a").addClass("on");
		$(".inside_banner").addClass("sub_img04");
    }else if(/about/.test(url.toLowerCase()))
    {
        $("#nav_05 > a").addClass("on");
		$(".inside_banner").addClass("sub_img05");
    }else 
    {
        $("#nav_01 > a").addClass("on");
    }
	
	//////关于我们左侧菜单	
	$(".only").click(
	function(){
	if($(this).next("ul").is(":hidden"))
    {	$(this).next("ul").show();
		$(this).find("a.open").hide();
		$(this).find("a.close").show();
		var index = $(".only").index(this);
		$.cookie('the_cookie', index ); // 设置cookie
    }else
    {
		$(this).next("ul").hide();
		$(this).find("a.open").show();
		$(this).find("a.close").hide();
		var index = $(".only").index(this);
		$.cookie('the_cookie', index ); // 设置cookie
	}
		
	}); 
	//var cookievalue= $.cookie('the_cookie');
	//if( cookievalue){
	//	$(".only").eq(cookievalue).click();
	//}
	
	//////产品组合左侧弹出菜单
	$("#nav_ul dl").hover(function(){
		$(this).find("dt a").addClass("on");
		$(this).find("dd").show();

	},function(){
		$(this).find("dt a").removeClass("on");
		$(this).find("dd").hide();

	})

   //////TABS
	var tabContainers = $('div.service_tabs > div');
	tabContainers.hide().filter(':first').show();
	$('div.service_tabs ul.tabNavigation a').click(function () {
		tabContainers.hide();
		tabContainers.filter($(this).attr("href")).show();
		//tabContainers.filter(this.hash).show();
		$('div.service_tabs ul.tabNavigation a').removeClass('selected');
		$('div.service_tabs ul.tabNavigation a').parent('li').removeClass('selectedli');//移除样式
		$(this).addClass('selected');
		$(this).parent('li').addClass('selectedli');;//给当前点击的连接 添加样式
		return false;                  //超链接不跳转
	}).filter(':first').click();       //调用click函数

});

function highURL(menuId,classCur){
if(!document.getElementById) return false;
if(!document.getElementById(menuId)) return false;
if(!document.getElementsByTagName) return false;
var menuId=document.getElementById(menuId);
var links=menuId.getElementsByTagName("a");
for(var i=0; i<links.length; i++ ){
    var menuLink=links[i].href;
    var currentLink=window.location.href;
    if(currentLink.indexOf(menuLink)!=-1){
    links[i].className=classCur;    
    }
    }
}
window.onload=function highThis(){highURL("highcl","highclon");}
